Fetch a specific blog post by its ID.
GET
/blog/posts/{id}
const url = 'https://api.tophhie.cloud/blog/posts/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tophhie.cloud/blog/posts/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
The ID of the blog post.
string
The ID of the blog post.
Responses
Section titled “Responses”OK.
Media typeapplication/json
object
id
required
string
uuid
required
string
title
required
string
featured
required
boolean
visibility
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
published_at
required
string format: date-time
custom_excerpt
string | null
url
required
string
excerpt
required
string
custom_data
object
mc_id
string
Example
{ "custom_excerpt": null, "custom_data": null}Error fetching blog post.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}
